using System;
using System.Drawing;
using System.Linq;
using PowerLanguage.Function;

namespace PowerLanguage.Indicator{
	public class __PB_classica : IndicatorObject {
		
		// constructor
		public __PB_classica(object _ctx):base(_ctx)
		{
		}
		
		private IPlotObject PB_plot;
		protected override void Create() {
			// create variable objects, function objects, plot objects etc.
			PB_plot = AddPlot(new PlotAttributes("PB classica", EPlotShapes.Line, Color.Blue));
		}
		
		protected override void StartCalc() {
			// assign inputs
			//UpdateOnEveryTickAttribute(true);
		}
		
		protected override void CalcBar(){
			// indicator logic
			if(Bars.DOM.Connected)
			{
				Output.WriteLine("");
				Output.WriteLine("LAST: " + Bars.StatusLine.Last);
				Output.WriteLine("Bars.CloseValue: " + Bars.CloseValue + "  -  " + Bars.VolumeValue);
				if(Bars.CloseValue >= Bars.DOM.Ask[0].Price)
				{
					Output.WriteLine("ASK: " + Bars.DOM.Ask[0].Price + "; size: " + Bars.DOM.Ask[0].Size
					+ "; time: " + Bars.TimeValue.Millisecond);
				}
				if(Bars.CloseValue <= Bars.DOM.Bid[0].Price)
				{
					Output.WriteLine("BID: " + Bars.DOM.Bid[0].Price + "; size: " + Bars.DOM.Bid[0].Size
					+ "; time: " + Bars.TimeValue);
				}
				if((Bars.CloseValue > Bars.DOM.Bid[0].Price) && (Bars.CloseValue < Bars.DOM.Ask[0].Price))
				{
					Output.WriteLine("in mezzo");
				}
				
				
			}
			
			
/*			if(!object.Equals(Bars.DOM.Ask, null))
				if(Bars.DOM.Ask.Count() > 0)
					Output.WriteLine("ASK: " + Bars.DOM.Ask[0].Price + "; size: " + Bars.DOM.Ask[0].Size
					+ "; time: " + Bars.TimeValue);
			
/*			if(!object.Equals(Bars.DOM.Bid, null))
				if(Bars.DOM.Bid.Count() > 0)
					Output.WriteLine("BID: " + Bars.DOM.Bid[0].Price + "; size: " + Bars.DOM.Bid[0].Size);
	
*/			
			// useless at this point as this code is intended for output window visualization only
			PB_plot.Set(Bars.Close[0]);
		}
	}
}